### Class

# Gtk TreeListRowSorter

since: 4.0

#### Description [src]

    final class Gtk.TreeListRowSorter : Gtk.Sorter
    {
      /* No available fields */
    }

`GtkTreeListRowSorter` is a special-purpose sorter that will apply a given sorter to the levels in a tree.

Here is an example for setting up a column view with a tree model and a `GtkTreeListSorter`:

    column_sorter = gtk_column_view_get_sorter (view);
    sorter = gtk_tree_list_row_sorter_new (g_object_ref (column_sorter));
    sort_model = gtk_sort_list_model_new (tree_model, sorter);
    selection = gtk_single_selection_new (sort_model);
    gtk_column_view_set_model (view, G_LIST_MODEL (selection));

Available since: 4.0

#### Ancestors

- GtkSorter
- GObject

#### Constructors

###### gtk_tree_list_row_sorter_new

Create a special-purpose sorter that applies the sorting of `sorter` to the levels of a `GtkTreeListModel`.

since: 4.0

#### Instance methods

###### gtk_tree_list_row_sorter_get_sorter

Returns the sorter used by `self`.

since: 4.0

###### gtk_tree_list_row_sorter_set_sorter

Sets the sorter to use for items with the same parent.

since: 4.0

##### Methods inherited from GtkSorter (3)

###### gtk_sorter_changed

Notifies all users of the sorter that it has changed.

since: 4.0

###### gtk_sorter_compare

Compares two given items according to the sort order implemented by the sorter.

since: 4.0

###### gtk_sorter_get_order

Gets the order that `self` conforms to.

since: 4.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.TreeListRowSorter:sorter

The underlying sorter.

since: 4.0

#### Signals

##### Signals inherited from GtkSorter (1)

###### GtkSorter::changed

Emitted whenever the sorter changed.

since: 4.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct GtkTreeListRowSorterClass {
      GtkSorterClass parent_class;

    }

No description available.

###### Class members

`parent_class: GtkSorterClass`
  No description available.